#include "defo.h"
#ifdef PLANAR
void cuteCalculation(MyInterval x, MyInterval y, MyInterval &qx, MyInterval &qy,
                            int rExp, int bExp);
#endif
#ifdef SPATIAL
void cuteCalculation(const MyInterval &x, const MyInterval &y, const MyInterval &z,
                            MyInterval &qx, MyInterval &qy, MyInterval &qz,
                            int rExp, int bExp);
							/* in the paper: bExp = a, rExp = b
 * on input r=sqrt(x^2 + y^2 + z^2)
 * we are calculating: q^bExp/|q|^{rExp}
 * qx = x^bExp/r^{rExp}, qy = y^bExp/r^{rExp}, qz = z^bExp/r^{rExp}
 * we consider sufraces:
 * * x = +/- sqrt((y^2 + z^2)a/(b-a))
 * * y = +/- sqrt((x^2 + z^2)a/(b-a))
 * * z = +/- sqrt((x^2 + y^2)a/(b-a))
 * * x = 0
 * * y = 0
 * * z = 0
 */
#endif

